Kernel Change Questions.

Kevin Alm kevinalm at shenessex.heartland.net
Wed Jan 12 13:27:33 PST 2005


MadMac wrote:

> On Wed, 12 Jan 2005 15:36:56 -0500, R Vijay <spamtrap2 at noemail.com> 
> wrote:
>
>> On Wed, 12 Jan 2005 14:26:23 -0600
>> Kevin Alm <kevinalm at shenessex.heartland.net> wrote:
>>
>>> >I decided to proceed further and gave the make mrpproper command.  
>>> After that I tried the config command and had several errors. Here 
>>> are  the results:
>>> >/usr/include/bits/socket.h:305
>>> >asm/socket.h No such file or direct
>>> >make[1]: *** [scripts/basic/fixdep] Error 1
>>> >make: *** [scripts_basic]
>>> >Error 2
>>
> You don't have /usr/include/asm/socket.h
> Check /usr/include directory,
> if there is all installed correctly.

Actually, I think it's looking for 
/usr/src/linux-<version>/include/asm/socket.h for the kernel version he 
is trying to compile. /usr/src/linux-<version>/asm is a symlink created 
by iirc make dep for 2.4 and make for 2.6 kernels.

By the way, if you are upgrading from 2.4 to 2.6 there are a number of 
packages you should update first. Read the Changes file in the kernel 
Documantation directory.



More information about the lfs-support mailing list